Error "Version 0.0.0 of the driver is currently installed" When Connecting to MS SQL Server

Published: 08 Jan 2015
Last Modified Date: 01 Jun 2016


When opening a workbook with a connection to Microsoft SQL Server, you might receive the following error:
'To connect to <databaseName> database, you must install version 10.0 of the driver. Version 0.0.0 of the driver is currently installed'. 

Additionally, the following error might appear in the logs:
'SQLServerODBCProtocol::ChooseDriver: Minimum version [10.0] specified but no available drivers meet that requirement.'

A new connection might open successfully without issue.


  • Tableau Desktop
  • MS SQL Server


On the computer running Tableau Server, install or resinstall the Microsoft SQL Server driver from the Drivers & Activation page.


This error occurs when a workbook has been created on a computer that is using a version of the SQL Server driver that has not been validated by Tableau.
Did this article resolve the issue?